<?php
load_theme_textdomain('mandegarweb',get_template_directory().'/lang');
include 'theme_options.php';
include 'slider.php';
include 'metabox.php';





/* SIDEBARS */
if ( function_exists('register_sidebar') )

	register_sidebar(array(
	'name' => 'Sidebar',
    'before_widget' => '<li class="sidebox %2$s">',
    'after_widget' => '</li>',
	'before_title' => '<h3 class="sidetitl">',
    'after_title' => '</h3>',
	
    ));


	
	
	
/* CUSTOM MENUS */	

register_nav_menus( array(
		'primary' => __( 'Primary Navigation', 'mandegarweb' ),
	) );

function fallbackmenu(){ ?>
			<div id="submenu">
				<ul><li> &nbsp;&nbsp;&nbsp;&nbsp;<?php _e('Go to Adminpanel > Appearance > Menus to create your menu. You should have WP 3.0+ version for custom menus to work.','mandegarweb'); ?></li></ul>
			</div>
<?php }	


/* CUSTOM EXCERPTS */
	
	
function wpe_excerptlength_index($length) {
    return 70;
}


function wpe_excerpt($length_callback='', $more_callback='') {
    global $post;
    if(function_exists($length_callback)){
        add_filter('excerpt_length', $length_callback);
    }
    if(function_exists($more_callback)){
        add_filter('excerpt_more', $more_callback);
    }
    $output = get_the_excerpt();
    $output = apply_filters('wptexturize', $output);
    $output = apply_filters('convert_chars', $output);
    $output = '<p>'.$output.'</p>';
    echo $output;
}

function new_excerpt_more($more) {
return '<a class="rmore" href="'. get_permalink($post->ID) . '">' . '&nbsp;&nbsp; ادامه نوشته ...' . '</a>';
}
add_filter('excerpt_more', 'new_excerpt_more');


/* SHORT TITLES */

function short_title($after = '', $length) {
   $mytitle = explode(' ', get_the_title(), $length);
   if (count($mytitle)>=$length) {
       array_pop($mytitle);
       $mytitle = implode(" ",$mytitle). $after;
   } else {
       $mytitle = implode(" ",$mytitle);
   }
       return $mytitle;
}


/* FEATURED THUMBNAILS */

if ( function_exists( 'add_theme_support' ) ) { // Added in 2.9
	add_theme_support( 'post-thumbnails' );


}

/* GET THUMBNAIL URL */

function get_image_url(){
	$image_id = get_post_thumbnail_id();
	$image_url = wp_get_attachment_image_src($image_id,'large');
	$image_url = $image_url[0];
	echo $image_url;
	}	



/* PAGE NAVIGATION */


function getpagenavi(){
?>
<div id="tnavigation">
<?php if(function_exists('wp_pagenavi')) : ?>
<?php wp_pagenavi() ?>
<?php else : ?>
        <div class="alignleft"><?php next_posts_link(__('&laquo; Older Entries','mandegarweb')) ?></div>
        <div class="alignright"><?php previous_posts_link(__('Newer Entries &raquo;','mandegarweb')) ?></div>
        <div class="clear"></div>
<?php endif; ?>

</div>

<?php
}

function wp_admin_dashboard_add_news_feed_widget() {
global $wp_meta_boxes;

wp_add_dashboard_widget( 'dashboard_mw_feed', 'mandegarweb & wp-parsi', 'dashboard_mw_feed_output' );
}
add_action('wp_dashboard_setup', 'wp_admin_dashboard_add_news_feed_widget');

function dashboard_mw_feed_output() {
echo '<div class="mandegarweb">';
wp_widget_rss_output(array(
'url' => 'http://mandegarweb.com/wordpress/feed/',
'title' => __('Latest News From Mandegarweb Blog', 'mandegarweb'),
'items' => 5,
'show_summary' => 0,
'show_author' => 0,
'show_date' => 0
));
wp_widget_rss_output( $args );
echo '<p style="border-top: 1px solid #CCC;">';
echo '<p>' . __('Supported Mandegarweb themes and answering your questions in the forums Support <a target=_blank" href="http://forum.wp-parsi.com">Wp-Parsi</a>','mandegarweb') . '</p>';
echo "</p>";
echo "</div>";
} 
function thsp_enqueue_pointer_script_style( $hook_suffix ) {
	
	$enqueue_pointer_script_style = false;

	$dismissed_pointers = explode( ',', get_user_meta( get_current_user_id(), 'dismissed_wp_pointers', true ) );

	if( !in_array( 'thsp_settings_pointer', $dismissed_pointers ) ) {
		$enqueue_pointer_script_style = true;
		
		add_action( 'admin_print_footer_scripts', 'thsp_pointer_print_scripts' );
	}

	if( $enqueue_pointer_script_style ) {
		wp_enqueue_style( 'wp-pointer' );
		wp_enqueue_script( 'wp-pointer' );
	}
	
}
add_action( 'admin_enqueue_scripts', 'thsp_enqueue_pointer_script_style' );

function thsp_pointer_print_scripts() {

	$pointer_content  = '<h3>' . __( 'Notice','mandegarweb' ) . '</h3>';
	$pointer_content .= '<p>' . __( 'You can active or inactive widget on the left side of the bar!','mandegarweb' ) . '</p>';
	?>
	
	<script type="text/javascript">
	//<![CDATA[
	jQuery(document).ready( function($) {
		$('.mandegarweb').pointer({
			content:		'<?php echo $pointer_content; ?>',
			position:		{
								edge:	'right',
								align:	'center'
							},
			pointerWidth:	350,
			close:			function() {
								$.post( ajaxurl, {
										pointer: 'thsp_settings_pointer',
										action: 'dismiss-wp-pointer'
								});
							}
		}).pointer('open');
	});
	//]]>
	</script>

<?php } ?>